https://instance_base_url/api?module=account
Return balance from a provided block
eth_get_balance
Mimics Ethereum JSON RPC’s eth_getBalance
Example:
- Request Params
- Example Result
Get the native token balance for an address
balance
Many chains use their own native tokens. On Ethereum, this will return the result in “Ether”, on Gnosis it will be “xDai”, etc. Results are returned in wei.
Example:
- Request Params
- Example Result
Also available through a GraphQL
address query.If the balance hasn’t been updated recently, the node is double-checked to fetch the absolute latest balance. This will not be reflected in the current request, but once it is updated, subsequent requests will show the updated balance. If you want to know if there is a check for another balance, use the
balancemulti action. That contains a property called stale that will let you know to recheck that balance in the near future.Get balance for multiple addresses
balancemulti
Example:
- Request Params
- Example Result
Also available through a GraphQL ‘addresses’ query
If the balance hasn’t been updated in a long time, the node is double checked to fetch the absolute latest balance. This is not reflected in the current request, but once it is updated, subsequent requests will show the updated balance. The
stale attribute will be set to true if a new balance is being fetched.Get pending transactions by address
pendingtxlist
Example:
- Request Params
- Example Result
Get transactions by address
txlist
Maximum of 10,000 transactions. Also available through a GraphQL ‘address’ query. For faster results, specify a smaller block range to search using the startblock and endblock parameters
Example:
- Request Params
- Example Result
Get internal transactions
txlistinternal
Up to a maximum of 10,000 internal transactions. Also available through a GraphQL ‘transaction’ query. For faster results, specify a smaller block range to search using the start_block and end_block parameters.
Example:
- Request Params
- Example Result
Get ERC-20 token transfer events by address
tokentx
Up to a maximum of 10,000 ERC-20 token transfer events. Also available through the GraphQL token_transfers query.
Example:
- Request Params
- Example Result
- To fetch ERC-20 token transfers by address, specify
addressparameter - To fetch ERC-20 token transfers by token, specify
contractaddressparameter - To fetch ERC-20 token transfers by address filtered by token, specify both
addressandcontractaddressparameters
Get ERC-721 token transfer events by address
tokennfttx
Example:
- Request Params
- Example Result
- To fetch ERC-721 token transfers by address, specify
addressparameter - To fetch ERC-721 token transfers by token, specify
contractaddressparameter - To fetch ERC-721 token transfers by address filtered by token, specify both
addressandcontractaddressparameters
Get ERC-1155 token transfer events by address
token1155tx
Example:
- Request Params
- Example Result
- To fetch ERC-1155 token transfers by address, specify
addressparameter - To fetch ERC-1155 token transfers by token, specify
contractaddressparameter - To fetch ERC-1155 token transfers by address filtered by token, specify both
addressandcontractaddressparameters
Get ERC-404 token transfer events by address
token404tx
Example:
- Request Params
- Example Result
- To fetch ERC-404 token transfers by address, specify
addressparameter - To fetch ERC-404 token transfers by token, specify
contractaddressparameter - To fetch ERC-404 token transfers by address filtered by token, specify both
addressandcontractaddressparameters
Get token account balance for token contract address
tokenbalance
Example:
- Request Params
- Example Result
Get list of tokens owned by address
tokenlist
Example:
- Request Params
- Example Result
Get list of blocks mined by address
getminedblocks
Example:
- Request Params
- Example Result
Get a list of accounts and their balances
listaccounts
Lists accounts and native balances, sorted ascending by the time they were first seen by the explorer.
Example:
- Request Params
- Example Result
If the balance hasn’t been updated in a long time, the node is double checked to fetch the absolute latest balance. This is not reflected in the current request, but once it is updated, subsequent requests will show the updated balance. The
stale attribute will be set to true if a new balance is being fetched.